@import 'styles/main.scss';

.appbar {
  position: fixed;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  max-width: 100vw;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 4px 16px;
  gap: 8px;
  height: 50px;
  background: #fff;
  z-index: 10;
  box-shadow: 0 0 24px #00000060;
  max-width: 500px;
  border-radius: 8px 8px 0 0;

  &__link {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;

    &::after {
      content: "";
      display: block;
      background: #fff;
      border-radius: 50%;
      width: 40px;
      height: 40px;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translateX(-50%) translateY(-50%);
      z-index: 0;
    }

    > img {
      position: relative;
      z-index: 1;
    }

    &--active {
      background: #E7ECF2;
      border-radius: 0px 0px 50px 50px;
    }
  }
}